Subject: Re: [6lo] 6lobac and STK-030/STK-034

From: Kerry Lynn <[email-masked]>
Date: Fri, 2 Oct 2015 13:25:07 -0400

Christian (and cc'ing Steve Karg)

6LoBAC is purposely agnostic on the method of generating the MAC address.
It only requires that all nodes on the segment have a unique MAC address and
that the link-local IID be generated using that address.

In theory, STK-30 should work fine with 6LoBAC but I have not tested it.
The
only possible drawback is that it uses addresses in the range 64 - 127,
therefore
it seems Nmax_master would have to remain at 127 and the PollForMaster
sequence would be extended accordingly.  I haven't read STK-30, but I assume
it also covers the case where there is no existing master.

How large are the networks you're planning to construct in this fashion?

Cheers, Kerry

On Fri, Oct 2, 2015 at 8:10 AM, Christian Amsüss <
[email-masked]> wrote:

> Greetings,
>
> I've been looking for ways to replace a proprietary RS485 protocol with
> something providing end-to-end IP connectivity, and 6lobac could provide
> that.
>
> My applications would need complete autoconfiguration; 6lobac refers to
> the lower BACnet layer there. Now there seem to exist two BACnet
> extensions in the pipeline that provide that[1] (of which I'd prefer
> STK-030, which seems to handle start-from-scratch situations best).
>
> Is using such an autoconfiguration compatible with 6lobac as drafted /
> does it need to be considered there? To me, the most relevant
> interfacing point seems to be the generation of the stateless
> autoconfiguration address, which uses the MAC address that is now not
> statically configured any more.
>
> Best regards
> Christian Amsüss
>
> [1] http://steve.kargs.net/bacnet/bacnet-mstp-and-automatic-addressing/
>
> --
> Christian Amsüss                      | Energy Harvesting Solutions GmbH
> founder, system architect             | headquarter:
> mailto:[email-masked]  | Arbeitergasse 15, A-4400 Steyr
> tel:+43-664-97-90-6-39                | http://www.energyharvesting.at/
>                                       | ATU68476614
>